package cn.com.ty.lift.ud.coupon.service;

import java.math.BigDecimal;
import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;

import cn.com.ty.lift.ud.coupon.mapper.entity.Coupon;

/**
 * 卡券 -Service
 * 
 * @author Xson
 * @date 2020-05-08
 */
public interface ICouponService extends IService<Coupon> {

    void updateByIds(List<Long> ids, Integer status);

    List<Coupon> getAllFailureByDate();

    // 充值满返优惠券
    void chargeToCoupon(BigDecimal recharge, Long userId);
    
    void updateSatus(Long id,Integer checkStatus,Integer status);
    
    void updateCouponById(Long id);
    
    Coupon getByCouponId(Long id);
}
